path: /build/build/macaroni-funtoo-race1-seed-0.20251225.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - anise install virtual-entities/base --force
  - anise install --force --sync-repos system/luet-devkit utils/jq utils/yq app-admin/macaronictl
    dev-util/pkgs-checker kernel-5.10/macaroni-lts-sources && eselect kernel set 1
    && anise cleanup
  - anise miner ri virtual/base virtual/sh && anise repo update && anise upgrade &&
    anise i toolchain/base-extra && anise cleanup && /usr/bin/gcc-config 1 && eselect
    gcc set 1 && mkdir -p /var/lib/portage && epro list && eval 'rm /etc/localtime
    || true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime && macaronictl
    env-update && eval 'locale-gen || true' && cd / && rm -rf /luetbuild && eval 'mkdir
    -p /var/cache/portage/distfiles || true' && chown portage:portage -R /var/cache/portage/
    && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://distfiles.macaronios.org/mark-distfiles
    https://dl.macaronios.org/repos/distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race1
    version: "0.20251225"
    category: seed
    hidden: true
    buildtimestamp: 2025-12-26 10:53:19.56668853 +0000 UTC m=+2105.961375277
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:3c539975238c95f174a4c7db0d260584348343070dad55b3e46328e8c3163a51
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race1
  version: "0.20251225"
  category: seed
  hidden: true
